from pydantic import BaseModel
from typing import List, Optional, Dict


class AdvancedOptions(BaseModel):
    linearity_check: Optional[bool] = None
    show_progress: Optional[bool] = None
    max_solution_time: Optional[int] = None
    brand_bound_tolerance: Optional[float] = None
    max_forms: Optional[int] = None
    precision: Optional[float] = None
    extra_param_range: Optional[List[Dict]] = None
