import os
from pydantic.dataclasses import dataclass

@dataclass
class ApplicationConfigs():
    region_name         = os.environ.get('AWS_REGION', 'ca-central-1')
    aws_access_key_id   = os.environ.get('AWS_ACCESS_KEY_ID', '')
    aws_secret_key      = os.environ.get('AWS_SECRET_ACCESS_KEY', '')
    sqs_queue           = os.environ.get('SQS_QUEUE', '')
    endpoint_url        = os.environ.get('ENDPOINT_URL', '')
    s3_processed_bucket = os.environ.get('S3_PROCESSED_BUCKET', 'measure-local-solver-processed')
    local_dev_env       = os.environ.get('LOCAL_DEV', False) == 'True'
